Subject: Re: why are IPv6 addresses removed on link down

From: Nicolas Dichtel <[email-masked]>
Date: Tue, 13 Jan 2015 18:05:19 +0100

Le 13/01/2015 16:00, Hannes Frederic Sowa a écrit :
[snip]
>
> This was already discussed several times here, e.g. one patch I just
> found:
>
> http://lists.openwall.net/netdev/2011/01/24/8
> and
> http://patchwork.ozlabs.org/patch/17558/
>
> Albeit I hate sysctls for things like this, it might I tend to find it
> acceptable because it solves a problem which happened to lots of people.
> And I don't like the current behavior neither.
>
> I think this can work, but we should follow up all the old discussions
> to not introduce any kind of new undesired behavior this time.
If I remember well, one of the problem was that it was not possible anymore to
unload the IPv6 module after the patches. But since commit 8ce440610357 ("ipv6:
do not allow ipv6 module to be removed"), it's not possible anymore.